DIM a AS INTEGER, b AS INTEGER, c AS INTEGER
DIM x AS INTEGER, y AS INTEGER, l AS LONG
CONST pi = 3, e = pi
CONST Cent = 100

a=b/8:a=b/7:a=(b*c)/32

IF a = 1 THEN
   a = b
ELSEIF a = 2 THEN
   a = c
ELSEIF a = 3 THEN
   a = x
END IF

a=-(b mod x) * (x - 100 * a) /b
select case a
case is > 1: a=1
case 2: a=2
case 4: a=16
case else: a=32
end select

function FirstSub (int1 as integer) as integer
  DIM a AS INTEGER
  DIM b AS byte
  FOR a = 1 TO 100
      IF a = 10 THEN
         return a*int1 + 1000
      END IF
  NEXT
end function

SUB TestSub (x AS INTEGER, y AS LONG, z AS byte)
    DIM i AS INTEGER, l AS LONG, b AS byte
    i = x
    l = y
    b = z
END SUB

DIM l1 AS LONG, b1 AS byte

TestSub (FirstSub(b),l1,b1)
a = FirstSub(b)*FirstSub(a)


